Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.repository
Class RepositoryExplorer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.bea.wlpi.client.repository.RepositoryExplorer

public class RepositoryExplorer
extends javax.swing.JPanel
implements java.awt.event.ActionListener, java.awt.datatransfer.ClipboardOwner

A graphical component used to access the BEA repository. The repository browser provides a tree view of the object folder hierarchy, a table view of a selected folder's contents, and a panel view of any item selected in the table.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `RepositoryFolderContents`, `FolderDisplay`, `EntityDisplay`, `RepositoryDisplay`, Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static java.awt.Insets` | `borderSpacing` Border size for this component
`static java.lang.String` | `ENTITY_DBL_CLICKED` ActionEvent command for double-clicks on entities.
`protected static java.net.URL` | `HELP_HOME_URL` The Help URL.
`protected static javax.swing.tree.TreePath` | `lastPath` The last node selected on the tree.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`RepositoryExplorer(java.lang.String driver, java.lang.String url, java.lang.String server, java.lang.String user, java.lang.String pswd, javax.swing.JFrame parentFrame)` Creates new `RepositoryExplorer` for displaying repository information in which the client is connected using a JDBC connection (as opposed to using a WLS data source).
`RepositoryExplorer(XMLRepository ejb, javax.swing.JDialog parentDialog)` Creates new `RepositoryExplorer`.
`RepositoryExplorer(XMLRepository ejb, javax.swing.JFrame parentFrame)` Creates new `RepositoryExplorer`.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Internal Use Only.
`void` | `addActionListener(java.awt.event.ActionListener l)` Register a listener for events generated by this object.
`protected static XMLEntityInfo` | `getEntityFromClipboard()`
`XMLEntityInfo` | `getSelectedObject()` Gets the currently selected entity, if one is selected.
`void` | `lostOwnership(java.awt.datatransfer.Clipboard clipboard, java.awt.datatransfer.Transferable contents)` This method is called when the this object is no longet the owner of the contents of the clipboard.
`void` | `refreshTree()` Rerfreshes the tree with the latest contents from the database.
`void` | `removeActionListener(java.awt.event.ActionListener l)` Remove a listener that was registered to be notified of events generated by this object.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENTITY_DBL_CLICKED

    public static final java.lang.String ENTITY_DBL_CLICKED

  ActionEvent command for double-clicks on entities.

### borderSpacing

    public static final java.awt.Insets borderSpacing

  Border size for this component

### lastPath

    protected static javax.swing.tree.TreePath lastPath

  The last node selected on the tree.

### HELP_HOME_URL

    protected static java.net.URL HELP_HOME_URL

  The Help URL.

Constructor Detail

### RepositoryExplorer

    public RepositoryExplorer(XMLRepository ejb,
                              javax.swing.JFrame parentFrame)
                       throws java.rmi.RemoteException

  Creates new `RepositoryExplorer`.

  Parameters:
    `ejb` - an handle to a XMLReepository EJB.
    `parentFrame` - the `javax.swing.JFrame` object that acts as the parent for all dialogs displayed by the RepositoryExplorer.
  Throws:
    java.rmi.RemoteException -

### RepositoryExplorer

    public RepositoryExplorer(XMLRepository ejb,
                              javax.swing.JDialog parentDialog)
                       throws java.rmi.RemoteException

  Creates new `RepositoryExplorer`.

  Parameters:
    `ejb` - an handle to a XMLReepository EJB.
    `parentDialog` - the `javax.swing.JDialog` object that acts as the parent for all dialogs displayed by the RepositoryExplorer.
  Throws:
    java.rmi.RemoteException -

### RepositoryExplorer

    public RepositoryExplorer(java.lang.String driver,
                              java.lang.String url,
                              java.lang.String server,
                              java.lang.String user,
                              java.lang.String pswd,
                              javax.swing.JFrame parentFrame)
                       throws java.rmi.RemoteException,
                              javax.naming.NamingException,
                              javax.ejb.CreateException

  Creates new `RepositoryExplorer` for displaying repository information in which the client is connected using a JDBC connection (as opposed to using a WLS data source).

  Parameters:
    `driver` - a `String` containing the JDBC driver used to connect to the repository.
    `url` - a `String` containing the URL of the JDBC driver used to connect to the repository.
    `server` - a `String` containing the name of the database server that has the repository tables in it.
    `user` - a `String` containing the user id used to login to WLS.
    `pswd` - a `String` containing the WLS user's password.
    `parentFrame` - the `java.awt.Frame` object that acts as the parent for all dialogs displayed by the RepositoryExplorer.
  Throws:
    javax.ejb.CreateException -
    javax.naming.NamingException -
    java.rmi.RemoteException -

Method Detail

### getSelectedObject

    public XMLEntityInfo getSelectedObject()

  Gets the currently selected entity, if one is selected.

  Returns:
    an `XMLEntityInfo` object representing an entity in the repository, including the entity's content or `null` if an entity is not currently selected.

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Register a listener for events generated by this object. The only time an event is generated is when an entity is double-clicked on. The generated ActionEvent will have an action command of `RepositoryExplaorer.ENTITY_DBL_CLICKED`.

  Parameters:
    `l` -

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Remove a listener that was registered to be notified of events generated by this object.

  Parameters:
    `l` -

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Internal Use Only.

  Process component actions instigated by the user. This method acts as the `ActionListener` for both this object (mostly menu actions for nodes of the folder tree) and the `RepositoryFolderContent`'s following menu items:

  - Open Folder
  - Update Folder
  - Delete Folder
  - Export Entity
  - Update Entity
  - Delete Entity
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

  Parameters:
    `evt` - `ActionEvent` object created by component.

### refreshTree

    public void refreshTree()

  Rerfreshes the tree with the latest contents from the database.

### getEntityFromClipboard

    protected static XMLEntityInfo getEntityFromClipboard()

### lostOwnership

    public void lostOwnership(java.awt.datatransfer.Clipboard clipboard,
                              java.awt.datatransfer.Transferable contents)

  This method is called when the this object is no longet the owner of the contents of the clipboard.
  Specified by:
    lostOwnership in interface java.awt.datatransfer.ClipboardOwner

  Parameters:
    `clipboard` - the Clipboard that is no longer owned.
    `contents` - the contents which this owner had placed on the clipboard.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)